﻿using System;
using System.Windows.Forms;

using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 영역 시리즈를 생성한다.

            Area area = new Area(this.tChart.Chart);

            area.Title    = "area";
            area.Smoothed = true;

            #endregion
            #region 라인 시리즈를 생성한다.

            Line line = new Line(this.tChart.Chart);

            line.Title         = "line";
            line.DataSource    = area;
            line.Function      = new SkewnessFunction(this.tChart.Chart);
            line.LinePen.Width = 4;
            line.VertAxis      = VerticalAxis.Right;

            #endregion

            area.FillSampleValues();

            line.CheckDataSource();

            this.refreshButton.Click += refreshButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 갱신하기 버튼 클릭시 처리하기 - refreshButton_Click(sender, e)

        /// <summary>
        /// 갱신하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void refreshButton_Click(object sender, EventArgs e)
        {
            this.tChart[0].FillSampleValues();
        }

        #endregion
    }
}